Bug 973270 - Unnecessary dependency on python-ordereddict
Unnecessary dependency on python-ordereddict
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-urllib3 (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 11:21 EDT by Endi Sukma Dewata
Modified: 2013-06-24 23:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-urllib3-1.5-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:07:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Endi Sukma Dewata 2013-06-11 11:21:50 EDT
The spec file for python-urllib3 contains the following conditional dependency:

%if 0%{?rhel} <= 6
BuildRequires:  python-ordereddict
Requires:       python-ordereddict
%endif

This condition evaluates to true on Fedora 19, which creates an unnecessary dependency on python-ordereddict.

The correct condition should have been like this:

%if 0%{?rhel} && 0%{?rhel} <= 6
Comment 1 Toshio Ernie Kuratomi 2013-06-11 12:32:20 EDT
Good catch.  Building a fixed package.
Comment 2 Fedora Update System 2013-06-11 13:00:11 EDT
python-urllib3-1.5-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-6.fc18
Comment 3 Fedora Update System 2013-06-11 13:00:42 EDT
python-urllib3-1.5-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-6.fc19
Comment 4 Fedora Update System 2013-06-11 13:01:24 EDT
python-urllib3-1.5-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-6.fc17
Comment 5 Fedora Update System 2013-06-11 22:39:22 EDT
Package python-urllib3-1.5-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-urllib3-1.5-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10638/python-urllib3-1.5-6.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-06-18 02:07:11 EDT
python-urllib3-1.5-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-24 23:25:20 EDT
python-urllib3-1.5-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-24 23:26:07 EDT
python-urllib3-1.5-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.